[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Help needed for mesa

> > 
> > >xorg-server 1.9 build-depends on mesa with a version higher than the
> > >one available in sid, and both mesa 7.9 and 7.10 FTBFS on non-Linux
> > >for now.
> > 
> > The FTBFS (on kfreebsd-amd64) is due to need of
> > radeon_gem_get_kernel_name(), which is provided by libdrm-radeon1 on
> > Linux. It suffices to enable this library in libdrm. After that the
> > mesa 7.10-2 builds. I am not sure, whether it is the right thing,
> > though.
> > 
> the classic radeon dri drivers used to build/link without libdrm_radeon,
> using wrappers in src/mesa/drivers/dri/radeon/radeon_bocs_wrapper.h.  Is
> that still supposed to work?  If yes, then I guess there should be a
> wrapper for radeon_gem_get_kernel_name()?  Dave, any advice?


needs to be cherry-picked back at a guess.


Reply to: